List running workflows for the current org
GET
/api/v1/workflows/running
const url = 'https://api.yggy.tech/api/v1/workflows/running?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.yggy.tech/api/v1/workflows/running?limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
number
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Running workflows
Media type application/json
object
workflows
required
Array<object>
object
documentId
required
string
title
required
string
invocationId
required
string | null
status
required
string | null
step
required
string | null
progress
required
number
createdAt
required
string
updatedAt
required
string
ownerId
required
string | null
workflowType
string
isCancellable
boolean
total
required
number
Example
{ "workflows": [ { "status": "pending", "workflowType": "extraction", "isCancellable": false } ]}